"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
// import 'dotenv/config';
require('dotenv').config();
const express = require("express");
const express_1 = require("express");
const cors = require("cors");
// import jwt strategy
require("./utils/auth/passport-strategy");
//import routers
const contact_1 = require("./routers/contact");
const users_1 = require("./routers/users");
const recipes_1 = require("./routers/recipes");
//db
// import './utils/db';
require("./models/User");
require("./models/Recipe");
const app = express();
const PORT = Number(process.env.PORT) || 8080;
// middlewares
app.use((0, express_1.json)());
app.use((0, express_1.urlencoded)({
    extended: true
}));
app.use(cors());
const router = (0, express_1.Router)();
//routers
router.use('/users', users_1.usersRouter);
router.use('/recipes', recipes_1.recipesRouter);
router.use('/contact', contact_1.contactRouter);
app.use('/api', router); // to pod serwer
app.listen(PORT, 'localhost', () => {
    console.log('Server started...');
});
//# sourceMappingURL=index.js.map