"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.contactRouter = void 0;
const express_1 = require("express");
const nodemailer = require("nodemailer");
const validate_1 = require("../utils/validation/validate");
const contactValidationSchema_1 = require("../utils/validation/contactValidationSchema");
exports.contactRouter = (0, express_1.Router)();
exports.contactRouter
    .post('', (0, validate_1.validate)(contactValidationSchema_1.validationContactSchema), (req, res) => __awaiter(void 0, void 0, void 0, function* () {
    const { subject, email, desc } = req.body;
    const client = nodemailer.createTransport({
        service: 'Gmail',
        auth: {
            user: process.env.GMAIL_USER,
            pass: process.env.GMAIL_PASS
        }
    });
    const mailOptions = {
        from: email,
        to: process.env.GMAIL_USER,
        subject: subject,
        text: desc
    };
    try {
        yield client.sendMail(mailOptions);
        res
            .status(200)
            .json({ message: "Pomyślnie wysłano e-mail." });
    }
    catch (err) {
        res
            .status(500)
            .json({ message: 'Wystąpił błąd, spróbuj ponownie póżniej.' });
    }
}));
//# sourceMappingURL=contact.js.map