"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.sequelize = void 0;
// import {createPool} from "mysql2/promise";
//
// export const pool = createPool({
//     host: 'localhost',
//     user: 'root',
//     database: '',
//     decimalNumbers: true,
//     namedPlaceholders: true,
// })
// Option 1: Passing parameters separately
const sequelize_1 = require("sequelize");
exports.sequelize = new sequelize_1.Sequelize(process.env.DB_NAME, process.env.DB_USER, process.env.DB_PASS, {
    host: process.env.DB_HOST,
    dialect: 'postgres',
    dialectOptions: {
        ssl: { rejectUnauthorized: false } // dla działania na heroku - heroku wymaga połączenia ssl a to naprawia ten problem + problem z self signed certificate
    }
});
// Option 2: Passing a connection URI
//const sequelize = new Sequelize('postgres://user:pass@example.com:5432/dbname');
exports.sequelize.sync();
(() => __awaiter(void 0, void 0, void 0, function* () {
    try {
        yield exports.sequelize.authenticate();
        console.log('Połączenie z bazą poprawne.');
    }
    catch (err) {
        console.error('Nie udało się połączyć z bazą ', err);
    }
}))();
//# sourceMappingURL=db.js.map