// import 'dotenv/config';
require('dotenv').config();

import * as express from "express";
import {json, Router, urlencoded} from "express";
import * as cors from 'cors';
// import jwt strategy

import './utils/auth/passport-strategy';
//import routers

import {contactRouter} from "./routers/contact";
import {usersRouter} from "./routers/users";
import {recipesRouter} from "./routers/recipes";
//db
// import './utils/db';
import './models/User';
import './models/Recipe';

const app = express();
const PORT = Number(process.env.PORT) || 8080;

// middlewares
app.use(json());
app.use(urlencoded({
    extended: true
}));
app.use(cors());

const router = Router();

//routers
router.use('/users', usersRouter);
router.use('/recipes', recipesRouter);
router.use('/contact', contactRouter);

app.use('/api', router); // to pod serwer

app.listen(PORT, 'localhost', () => {
    console.log('Server started...');
});
