import {sequelize} from "../utils/db";
import {DataTypes} from "sequelize";
import {RecipeModel} from "./RecipeModel";

export const Recipe = sequelize.define<RecipeModel>("recipes", {
    id: {
        type: DataTypes.STRING(36),
        allowNull: false,
        primaryKey: true
    },
    authorId: {
        type: DataTypes.STRING(36),
        allowNull: false,
    },
    name: {
        type: DataTypes.STRING(30),
        allowNull: false,
    },
    description: {
        type: DataTypes.STRING(500),
        allowNull: false,
    },
    category: {
        type: DataTypes.STRING(30),
        allowNull: false,
    },
    ingredients: {
        type: DataTypes.ARRAY(DataTypes.JSONB),
        allowNull: false,
    },
    todoList: {
        type: DataTypes.ARRAY(DataTypes.STRING),
        allowNull: false,
    },
    imagePath: {
        type: DataTypes.STRING(100),
        allowNull: false,
    }
});
