import {InferAttributes, InferCreationAttributes, Model} from 'sequelize'

export interface IngredientInterface {
    ingredientName: string;
    amount: number;
}

interface RecipeModel extends Model<InferAttributes<RecipeModel>, InferCreationAttributes<RecipeModel>> {
    id: string;
    authorId: string;
    name: string;
    description: string;
    category: string;
    ingredients: IngredientInterface[];
    todoList: string[];
    imagePath: string;
}

export {
    RecipeModel
}
