import {Router} from "express";
import * as nodemailer from "nodemailer";
import {validate} from "../utils/validation/validate";
import {validationContactSchema} from "../utils/validation/contactValidationSchema";

export const contactRouter = Router();

contactRouter
    .post('', validate(validationContactSchema), async (req,res) => {
        const {subject, email, desc} = req.body;

        const client = nodemailer.createTransport({
            service: 'Gmail',
            auth: {
                user: process.env.GMAIL_USER,
                pass: process.env.GMAIL_PASS
            }
        });

        const mailOptions = {
            from: email,
            to: process.env.GMAIL_USER,
            subject: subject,
            text: desc
        };

        try {
            await client.sendMail(mailOptions);
            res
                .status(200)
                .json({message: "Pomyślnie wysłano e-mail."})
        } catch (err) {
            res
                .status(500)
                .json({message: 'Wystąpił błąd, spróbuj ponownie póżniej.'})
        }
    });
