import * as passport from 'passport';
import * as passportJwt from 'passport-jwt';
import {User} from "../../models/User";

const ExtractJwt = passportJwt.ExtractJwt;
const StrategyJwt = passportJwt.Strategy;

passport.use(
    new StrategyJwt(
        {
            jwtFromRequest: ExtractJwt.fromAuthHeaderAsBearerToken(),
            secretOrKey: process.env.JWT_SECRET
        },
        function (jwtPayload,done) {
            return User.findOne( {where: { id: jwtPayload.id }})
                .then((user) => {
                    return done(null, user);
                })
                .catch((err) => {
                    return done(err);
                })
        }
    )
)
