// import {createPool} from "mysql2/promise";
//
// export const pool = createPool({
//     host: 'localhost',
//     user: 'root',
//     database: '',
//     decimalNumbers: true,
//     namedPlaceholders: true,
// })
// Option 1: Passing parameters separately
import {Sequelize} from "sequelize";

export const sequelize = new Sequelize(
    process.env.DB_NAME,
    process.env.DB_USER,
    process.env.DB_PASS,
    {
        host: process.env.DB_HOST,
        dialect: 'postgres',/* one of 'mysql' | 'mariadb' | 'postgres' | 'mssql' */
        dialectOptions: {
            ssl: { rejectUnauthorized: false } // dla działania na heroku - heroku wymaga połączenia ssl a to naprawia ten problem + problem z self signed certificate
        }
    },
);

// Option 2: Passing a connection URI
//const sequelize = new Sequelize('postgres://user:pass@example.com:5432/dbname');

sequelize.sync();

(async () => {
    try {
        await sequelize.authenticate();
        console.log('Połączenie z bazą poprawne.')
    } catch (err) {
        console.error('Nie udało się połączyć z bazą ', err)
    }
})();
