import { validationResult } from 'express-validator';
import {NextFunction, Request, Response} from "express";

export const validate = (schemas: any) => {
    return async (req: Request, res: Response, next: NextFunction) => {
        await Promise.all(schemas.map((schema: any) => schema.run(req)));

        const result = validationResult(req);
        if(result.isEmpty()) {
            return next();
        }

        const errors = result.array();
        return res
            .status(400)
            .json({
            message: 'Błąd walidacji danych.',
            errors: errors
        })
    };
}
